/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * abs(dvec4(np.float64(-1.5)lf, np.float64(-0.75)lf, np.float64(0.0)lf, np.float64(0.75)lf)) => dvec4(np.float64(1.5)lf, np.float64(0.75)lf, np.float64(0.0)lf, np.float64(0.75)lf)
 * abs(dvec4(np.float64(1.5)lf, np.float64(-1.5)lf, np.float64(-0.75)lf, np.float64(0.0)lf)) => dvec4(np.float64(1.5)lf, np.float64(1.5)lf, np.float64(0.75)lf, np.float64(0.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(abs(dvec4(np.float64(-1.5)lf, np.float64(-0.75)lf, np.float64(0.0)lf, np.float64(0.75)lf)), dvec4(np.float64(1.5)lf, np.float64(0.75)lf, np.float64(0.0)lf, np.float64(0.75)lf)) <= np.float64(1.8371173070873836e-05)lf ? 1 : -1] array0;
  double[distance(abs(dvec4(np.float64(1.5)lf, np.float64(-1.5)lf, np.float64(-0.75)lf, np.float64(0.0)lf)), dvec4(np.float64(1.5)lf, np.float64(1.5)lf, np.float64(0.75)lf, np.float64(0.0)lf)) <= np.float64(2.25e-05)lf ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
