/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) << ivec2(np.int32(13), np.int32(26))) => u64vec2(np.uint64(81920)ul, np.uint64(805306368)ul)
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) << ivec2(np.int32(2), np.int32(26))) => u64vec2(np.uint64(40)ul, np.uint64(805306368)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) << ivec2(np.int32(13), np.int32(26))) => u64vec2(np.uint64(344064)ul, np.uint64(3221225472)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) << ivec2(np.int32(2), np.int32(26))) => u64vec2(np.uint64(168)ul, np.uint64(3221225472)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) << ivec2(np.int32(13), np.int32(26))), u64vec2(np.uint64(81920)ul, np.uint64(805306368)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) << ivec2(np.int32(2), np.int32(26))), u64vec2(np.uint64(40)ul, np.uint64(805306368)ul))) ? 1 : -1] array1;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) << ivec2(np.int32(13), np.int32(26))), u64vec2(np.uint64(344064)ul, np.uint64(3221225472)ul))) ? 1 : -1] array2;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) << ivec2(np.int32(2), np.int32(26))), u64vec2(np.uint64(168)ul, np.uint64(3221225472)ul))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
