/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) / np.float32(-1.33)) => np.float32(-0.0)
 * (np.float32(0.0) / np.float32(0.85)) => np.float32(0.0)
 * (np.float32(-1.33) / np.float32(-1.33)) => np.float32(1.0)
 * (np.float32(-1.33) / np.float32(0.85)) => np.float32(-1.5647058)
 * (np.float32(0.85) / np.float32(-1.33)) => np.float32(-0.63909775)
 * (np.float32(0.85) / np.float32(0.85)) => np.float32(1.0)
 */
#version 120

void main()
{
  float[distance((np.float32(0.0) / np.float32(-1.33)), np.float32(-0.0)) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance((np.float32(0.0) / np.float32(0.85)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array1;
  float[distance((np.float32(-1.33) / np.float32(-1.33)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array2;
  float[distance((np.float32(-1.33) / np.float32(0.85)), np.float32(-1.5647058)) <= np.float32(1.564706e-05) ? 1 : -1] array3;
  float[distance((np.float32(0.85) / np.float32(-1.33)), np.float32(-0.63909775)) <= np.float32(6.3909774e-06) ? 1 : -1] array4;
  float[distance((np.float32(0.85) / np.float32(0.85)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
