/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) == ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))) => true
 * (ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) == ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))) => false
 * (ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) == ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))) => false
 * (ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) == ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))) => false
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) == ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))) => false
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) == ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))) => true
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) == ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))) => false
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) == ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))) => false
 * (ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) == ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))) => false
 * (ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) == ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))) => false
 * (ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) == ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))) => true
 * (ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) == ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))) => false
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) == ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))) => false
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) == ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))) => false
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) == ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))) => false
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) == ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))) => true
 */
#version 120

void main()
{
  float[(ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) == ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))) == true ? 1 : -1] array0;
  float[(ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) == ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))) == false ? 1 : -1] array1;
  float[(ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) == ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))) == false ? 1 : -1] array2;
  float[(ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) == ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))) == false ? 1 : -1] array3;
  float[(ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) == ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))) == false ? 1 : -1] array4;
  float[(ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) == ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))) == true ? 1 : -1] array5;
  float[(ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) == ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))) == false ? 1 : -1] array6;
  float[(ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) == ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))) == false ? 1 : -1] array7;
  float[(ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) == ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))) == false ? 1 : -1] array8;
  float[(ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) == ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))) == false ? 1 : -1] array9;
  float[(ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) == ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))) == true ? 1 : -1] array10;
  float[(ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) == ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))) == false ? 1 : -1] array11;
  float[(ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) == ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76))) == false ? 1 : -1] array12;
  float[(ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) == ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))) == false ? 1 : -1] array13;
  float[(ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) == ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64))) == false ? 1 : -1] array14;
  float[(ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) == ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))) == true ? 1 : -1] array15;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length());
}
