/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (+ ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-36), np.int32(32), np.int32(-88))
 * (+ ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(36), np.int32(32), np.int32(88))
 * (+ ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(59), np.int32(77), np.int32(68))
 */
#version 120

void main()
{
  float[all(equal((+ ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) ? 1 : -1] array0;
  float[all(equal((+ ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(36), np.int32(32), np.int32(88)))) ? 1 : -1] array1;
  float[all(equal((+ ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(59), np.int32(77), np.int32(68)))) ? 1 : -1] array2;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length());
}
