/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * step(np.float32(-2.0), np.float32(-2.0)) => np.float32(1.0)
 * step(np.float32(-2.0), np.float32(-0.6666667)) => np.float32(1.0)
 * step(np.float32(-2.0), np.float32(0.6666667)) => np.float32(1.0)
 * step(np.float32(-2.0), np.float32(2.0)) => np.float32(1.0)
 * step(np.float32(-0.6666667), np.float32(-2.0)) => np.float32(0.0)
 * step(np.float32(-0.6666667), np.float32(-0.6666667)) => np.float32(1.0)
 * step(np.float32(-0.6666667), np.float32(0.6666667)) => np.float32(1.0)
 * step(np.float32(-0.6666667), np.float32(2.0)) => np.float32(1.0)
 * step(np.float32(0.6666667), np.float32(-2.0)) => np.float32(0.0)
 * step(np.float32(0.6666667), np.float32(-0.6666667)) => np.float32(0.0)
 * step(np.float32(0.6666667), np.float32(0.6666667)) => np.float32(1.0)
 * step(np.float32(0.6666667), np.float32(2.0)) => np.float32(1.0)
 * step(np.float32(2.0), np.float32(-2.0)) => np.float32(0.0)
 * step(np.float32(2.0), np.float32(-0.6666667)) => np.float32(0.0)
 * step(np.float32(2.0), np.float32(0.6666667)) => np.float32(0.0)
 * step(np.float32(2.0), np.float32(2.0)) => np.float32(1.0)
 */
#version 120

void main()
{
  float[distance(step(np.float32(-2.0), np.float32(-2.0)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array0;
  float[distance(step(np.float32(-2.0), np.float32(-0.6666667)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array1;
  float[distance(step(np.float32(-2.0), np.float32(0.6666667)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array2;
  float[distance(step(np.float32(-2.0), np.float32(2.0)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array3;
  float[distance(step(np.float32(-0.6666667), np.float32(-2.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array4;
  float[distance(step(np.float32(-0.6666667), np.float32(-0.6666667)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array5;
  float[distance(step(np.float32(-0.6666667), np.float32(0.6666667)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array6;
  float[distance(step(np.float32(-0.6666667), np.float32(2.0)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array7;
  float[distance(step(np.float32(0.6666667), np.float32(-2.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array8;
  float[distance(step(np.float32(0.6666667), np.float32(-0.6666667)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array9;
  float[distance(step(np.float32(0.6666667), np.float32(0.6666667)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array10;
  float[distance(step(np.float32(0.6666667), np.float32(2.0)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array11;
  float[distance(step(np.float32(2.0), np.float32(-2.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array12;
  float[distance(step(np.float32(2.0), np.float32(-0.6666667)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array13;
  float[distance(step(np.float32(2.0), np.float32(0.6666667)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array14;
  float[distance(step(np.float32(2.0), np.float32(2.0)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array15;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length());
}
