/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.uint32(0)u * uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(0)u * uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(6)u * uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(228)u, np.uint32(210)u)
 * (np.uint32(6)u * uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(384)u, np.uint32(54)u)
 * (np.uint32(12)u * uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(456)u, np.uint32(420)u)
 * (np.uint32(12)u * uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(768)u, np.uint32(108)u)
 * (np.uint32(32)u * uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(1216)u, np.uint32(1120)u)
 * (np.uint32(32)u * uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(2048)u, np.uint32(288)u)
 * (np.uint32(74)u * uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(2812)u, np.uint32(2590)u)
 * (np.uint32(74)u * uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(4736)u, np.uint32(666)u)
 */
#version 150

void main()
{
  float[all(equal((np.uint32(0)u * uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array0;
  float[all(equal((np.uint32(0)u * uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array1;
  float[all(equal((np.uint32(6)u * uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(228)u, np.uint32(210)u))) ? 1 : -1] array2;
  float[all(equal((np.uint32(6)u * uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(384)u, np.uint32(54)u))) ? 1 : -1] array3;
  float[all(equal((np.uint32(12)u * uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(456)u, np.uint32(420)u))) ? 1 : -1] array4;
  float[all(equal((np.uint32(12)u * uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(768)u, np.uint32(108)u))) ? 1 : -1] array5;
  float[all(equal((np.uint32(32)u * uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(1216)u, np.uint32(1120)u))) ? 1 : -1] array6;
  float[all(equal((np.uint32(32)u * uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(2048)u, np.uint32(288)u))) ? 1 : -1] array7;
  float[all(equal((np.uint32(74)u * uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(2812)u, np.uint32(2590)u))) ? 1 : -1] array8;
  float[all(equal((np.uint32(74)u * uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(4736)u, np.uint32(666)u))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
