/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(3)l) => i64vec2(np.int64(-3)l, np.int64(-4)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(-1192)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(1048576)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(4251475)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(29852643761)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(-4398046511104)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(-3948976685146)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(-135763469567146206)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(3)l) => i64vec2(np.int64(-14)l, np.int64(16)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(-1192)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(1048576)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(4251475)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(29852643761)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(-4398046511104)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(-3948976685146)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(-135763469567146206)l) => i64vec2(np.int64(0)l, np.int64(0)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(3)l), i64vec2(np.int64(-3)l, np.int64(-4)l))) ? 1 : -1] array0;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(-1192)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array1;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(1048576)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array2;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(4251475)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array3;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(29852643761)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array4;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(-4398046511104)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array5;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(-3948976685146)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array6;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) / np.int64(-135763469567146206)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array7;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(3)l), i64vec2(np.int64(-14)l, np.int64(16)l))) ? 1 : -1] array8;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(-1192)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array9;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(1048576)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array10;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(4251475)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array11;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(29852643761)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array12;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(-4398046511104)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array13;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(-3948976685146)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array14;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) / np.int64(-135763469567146206)l), i64vec2(np.int64(0)l, np.int64(0)l))) ? 1 : -1] array15;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length());
}
