/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * radians(np.float32(-180.0)) => np.float32(-3.1415927)
 * radians(np.float32(-60.0)) => np.float32(-1.0471976)
 * radians(np.float32(60.0)) => np.float32(1.0471976)
 * radians(np.float32(180.0)) => np.float32(3.1415927)
 */
#version 120

void main()
{
  float[distance(radians(np.float32(-180.0)), np.float32(-3.1415927)) <= np.float32(3.1415926e-05) ? 1 : -1] array0;
  float[distance(radians(np.float32(-60.0)), np.float32(-1.0471976)) <= np.float32(1.0471976e-05) ? 1 : -1] array1;
  float[distance(radians(np.float32(60.0)), np.float32(1.0471976)) <= np.float32(1.0471976e-05) ? 1 : -1] array2;
  float[distance(radians(np.float32(180.0)), np.float32(3.1415927)) <= np.float32(3.1415926e-05) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
