/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sinh(np.float32(-2.0)) => np.float32(-3.6268604)
 * sinh(np.float32(-0.6666667)) => np.float32(-0.7171585)
 * sinh(np.float32(0.6666667)) => np.float32(0.7171585)
 * sinh(np.float32(2.0)) => np.float32(3.6268604)
 */
#version 130

void main()
{
  float[distance(sinh(np.float32(-2.0)), np.float32(-3.6268604)) <= np.float32(0.0036268604) ? 1 : -1] array0;
  float[distance(sinh(np.float32(-0.6666667)), np.float32(-0.7171585)) <= np.float32(0.0007171585) ? 1 : -1] array1;
  float[distance(sinh(np.float32(0.6666667)), np.float32(0.7171585)) <= np.float32(0.0007171585) ? 1 : -1] array2;
  float[distance(sinh(np.float32(2.0)), np.float32(3.6268604)) <= np.float32(0.0036268604) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
