/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(132)u, np.uint32(144)u, np.uint32(174)u, np.uint32(150)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(90)u, np.uint32(112)u, np.uint32(110)u, np.uint32(149)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(90)u, np.uint32(112)u, np.uint32(110)u, np.uint32(149)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(48)u, np.uint32(80)u, np.uint32(46)u, np.uint32(148)u)
 */
#version 150

void main()
{
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(132)u, np.uint32(144)u, np.uint32(174)u, np.uint32(150)u))) ? 1 : -1] array0;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(90)u, np.uint32(112)u, np.uint32(110)u, np.uint32(149)u))) ? 1 : -1] array1;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(90)u, np.uint32(112)u, np.uint32(110)u, np.uint32(149)u))) ? 1 : -1] array2;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(48)u, np.uint32(80)u, np.uint32(46)u, np.uint32(148)u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
