/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(1), np.int32(1), np.int32(1))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(-1), np.int32(1), np.int32(-1))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(0), np.int32(0), np.int32(-1))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) / ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-1), np.int32(1), np.int32(-1))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) / ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(1), np.int32(1), np.int32(1))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) / ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(0), np.int32(0), np.int32(1))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) / ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-1), np.int32(2), np.int32(0))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) / ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(1), np.int32(2), np.int32(0))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) / ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(1), np.int32(1), np.int32(1))
 */
#version 150

void main()
{
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(1), np.int32(1), np.int32(1)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(-1), np.int32(1), np.int32(-1)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) / ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(0), np.int32(0), np.int32(-1)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) / ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-1), np.int32(1), np.int32(-1)))) ? 1 : -1] array3;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) / ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(1), np.int32(1), np.int32(1)))) ? 1 : -1] array4;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) / ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(0), np.int32(0), np.int32(1)))) ? 1 : -1] array5;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) / ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-1), np.int32(2), np.int32(0)))) ? 1 : -1] array6;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) / ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(1), np.int32(2), np.int32(0)))) ? 1 : -1] array7;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) / ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(1), np.int32(1), np.int32(1)))) ? 1 : -1] array8;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length());
}
