/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.uint32(0)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(0)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(6)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(216)u, np.uint32(192)u, np.uint32(528)u)
 * (np.uint32(6)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(354)u, np.uint32(462)u, np.uint32(408)u)
 * (np.uint32(12)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(432)u, np.uint32(384)u, np.uint32(1056)u)
 * (np.uint32(12)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(708)u, np.uint32(924)u, np.uint32(816)u)
 * (np.uint32(32)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(1152)u, np.uint32(1024)u, np.uint32(2816)u)
 * (np.uint32(32)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(1888)u, np.uint32(2464)u, np.uint32(2176)u)
 * (np.uint32(74)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(2664)u, np.uint32(2368)u, np.uint32(6512)u)
 * (np.uint32(74)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(4366)u, np.uint32(5698)u, np.uint32(5032)u)
 */
#version 150

void main()
{
  float[all(equal((np.uint32(0)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array0;
  float[all(equal((np.uint32(0)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array1;
  float[all(equal((np.uint32(6)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(216)u, np.uint32(192)u, np.uint32(528)u))) ? 1 : -1] array2;
  float[all(equal((np.uint32(6)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(354)u, np.uint32(462)u, np.uint32(408)u))) ? 1 : -1] array3;
  float[all(equal((np.uint32(12)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(432)u, np.uint32(384)u, np.uint32(1056)u))) ? 1 : -1] array4;
  float[all(equal((np.uint32(12)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(708)u, np.uint32(924)u, np.uint32(816)u))) ? 1 : -1] array5;
  float[all(equal((np.uint32(32)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(1152)u, np.uint32(1024)u, np.uint32(2816)u))) ? 1 : -1] array6;
  float[all(equal((np.uint32(32)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(1888)u, np.uint32(2464)u, np.uint32(2176)u))) ? 1 : -1] array7;
  float[all(equal((np.uint32(74)u * uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(2664)u, np.uint32(2368)u, np.uint32(6512)u))) ? 1 : -1] array8;
  float[all(equal((np.uint32(74)u * uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(4366)u, np.uint32(5698)u, np.uint32(5032)u))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
