/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * reflect(np.float32(0.0), np.float32(-1.0)) => np.float32(0.0)
 * reflect(np.float32(0.0), np.float32(1.0)) => np.float32(0.0)
 * reflect(np.float32(-1.33), np.float32(-1.0)) => np.float32(1.33)
 * reflect(np.float32(-1.33), np.float32(1.0)) => np.float32(1.33)
 * reflect(np.float32(0.85), np.float32(-1.0)) => np.float32(-0.85)
 * reflect(np.float32(0.85), np.float32(1.0)) => np.float32(-0.85)
 */
#version 150

void main()
{
  float[distance(reflect(np.float32(0.0), np.float32(-1.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance(reflect(np.float32(0.0), np.float32(1.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array1;
  float[distance(reflect(np.float32(-1.33), np.float32(-1.0)), np.float32(1.33)) <= np.float32(1.33e-05) ? 1 : -1] array2;
  float[distance(reflect(np.float32(-1.33), np.float32(1.0)), np.float32(1.33)) <= np.float32(1.33e-05) ? 1 : -1] array3;
  float[distance(reflect(np.float32(0.85), np.float32(-1.0)), np.float32(-0.85)) <= np.float32(8.5e-06) ? 1 : -1] array4;
  float[distance(reflect(np.float32(0.85), np.float32(1.0)), np.float32(-0.85)) <= np.float32(8.5e-06) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
