/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * round(vec2(np.float32(-2.0), np.float32(-1.4285715))) => vec2(np.float32(-2.0), np.float32(-1.0))
 * round(vec2(np.float32(-0.85714287), np.float32(-0.2857143))) => vec2(np.float32(-1.0), np.float32(-0.0))
 * round(vec2(np.float32(0.2857143), np.float32(0.85714287))) => vec2(np.float32(0.0), np.float32(1.0))
 * round(vec2(np.float32(1.4285715), np.float32(2.0))) => vec2(np.float32(1.0), np.float32(2.0))
 */
#version 150

void main()
{
  float[distance(round(vec2(np.float32(-2.0), np.float32(-1.4285715))), vec2(np.float32(-2.0), np.float32(-1.0))) <= np.float32(2.236068e-05) ? 1 : -1] array0;
  float[distance(round(vec2(np.float32(-0.85714287), np.float32(-0.2857143))), vec2(np.float32(-1.0), np.float32(-0.0))) <= np.float32(1e-05) ? 1 : -1] array1;
  float[distance(round(vec2(np.float32(0.2857143), np.float32(0.85714287))), vec2(np.float32(0.0), np.float32(1.0))) <= np.float32(1e-05) ? 1 : -1] array2;
  float[distance(round(vec2(np.float32(1.4285715), np.float32(2.0))), vec2(np.float32(1.0), np.float32(2.0))) <= np.float32(2.236068e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
